Body
-
The name of the task
-
The description of the task
-
The task's priority. Available options: low, medium, high and highest
Value Description low Low medium Medium high High highest Highest Values are
low,medium,high, orhighest. -
The task due date
-
The taskable type. Available Options: client, case, plan
Values are
client,case, orplan. -
The taskable UUID
-
The task status UUID
-
The parent task UUID
-
Array of account UUIDs
-
Additional custom fields
Additional properties are allowed.
-
UUIDs of groups that will be assigned when the task is updated.
PUT
/api/v1/task/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/task/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"name":"Check details","description":"Check details","priority":"low","due_at":"2026-03-05","taskable_type":"client","taskable_uuid":"28e655d1-5b6d-42c6-836f-48efe7b864b1","task_status_uuid":"acd34d0a-8a13-4dc1-b313-1c0392977f08","parent_task_uuid":"52956227-9b72-47e4-ad04-fa60b7545056","assigned_to_uuids":["940f0fbb-8088-45f2-b8fe-9b68d1a0734d","3683cc9d-6d78-4ee6-bc1f-bf6cd0fccfba","ceb142be-e230-4cbf-b296-29e46dd11236"],"custom_fields":{"favourite_pet":"Dog"},"group_uuids":["92e715e1-3ec1-4c2c-a01f-a65fdc097992","f5495997-6083-40df-a01b-26104004360f","cd346d34-ff7d-41cc-ba2d-b46ff0588547"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Check details",
"description": "Check details",
"priority": "low",
"due_at": "2026-03-05",
"taskable_type": "client",
"taskable_uuid": "28e655d1-5b6d-42c6-836f-48efe7b864b1",
"task_status_uuid": "acd34d0a-8a13-4dc1-b313-1c0392977f08",
"parent_task_uuid": "52956227-9b72-47e4-ad04-fa60b7545056",
"assigned_to_uuids": [
"940f0fbb-8088-45f2-b8fe-9b68d1a0734d",
"3683cc9d-6d78-4ee6-bc1f-bf6cd0fccfba",
"ceb142be-e230-4cbf-b296-29e46dd11236"
],
"custom_fields": {
"favourite_pet": "Dog"
},
"group_uuids": [
"92e715e1-3ec1-4c2c-a01f-a65fdc097992",
"f5495997-6083-40df-a01b-26104004360f",
"cd346d34-ff7d-41cc-ba2d-b46ff0588547"
]
}
Response examples (200)
{
"name": "Document the transaction",
"uuid": "2074cd36-1b4b-4b2c-9167-74bcdd2eb921",
"author": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "f1cd085f-1769-4f3a-b4b4-1f1759b55abf",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"due_at": "2021-01-01 00:00:00",
"status": {
"name": "Incomplete",
"uuid": "76172be3-695d-4d96-a0dc-b32fbe05d346",
"colour": "#398898",
"position": 1,
"created_at": "2026-02-26T15:22:27+00:00",
"updated_at": "2026-02-26T15:22:27+00:00",
"is_archived": false,
"is_not_started": false,
"is_type_completed": false
},
"position": 1,
"priority": "high",
"taskable": {
"name": "finance",
"slug": "finance",
"type": "App\\Http\\Resources\\CasesTypeResource",
"uuid": "f9733ed9-6c4a-4b34-b9fd-c55da6033064",
"plans": "App\\Http\\Resources\\Plans\\PlanResource",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
}
},
"status": "App\\Http\\Resources\\CasesStatusResource",
"review_at": "2026-02-26T15:22:27+00:00",
"created_at": "2026-02-26T15:22:27+00:00",
"updated_at": "2026-02-26T15:22:27+00:00",
"group_uuids": [
"e55e2cc9-0d5e-4e4e-96ac-5395eaa8afa1"
],
"completed_at": "2026-02-26T15:22:27+00:00",
"participants": "App\\Http\\Resources\\AccountResource",
"custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
"status_position": 4,
"task_board_uuid": "723195d4-6cd2-4de7-9b76-8413dba844aa",
"assigned_to_uuids": [
"ba2d3069-de85-4680-ad5a-ab3cf8fcf6f6"
],
"participants_count": 4
},
"created_at": "2026-02-26T15:22:27+00:00",
"updated_at": "2026-02-26T15:22:27+00:00",
"assigned_to": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "2e979ad9-3246-4952-b0f1-9980c0e03315",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"description": "Document the transaction",
"completed_at": "2021-01-01 00:00:00",
"completed_by": {
"name": {
"example": "Gareth Thompson",
"collection": false,
"description": "Name"
},
"role": {
"example": "client",
"collection": false,
"description": "Account role"
},
"type": {
"example": "client",
"collection": false,
"description": "Account type"
},
"uuid": {
"example": "691c7fde-e910-4f43-81e1-fe0f4e78687b",
"collection": false,
"description": "The UUID of the resource."
},
"email": {
"example": "gareth@codepotato.co.uk",
"collection": false,
"description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
},
"last_name": {
"example": "Thompson",
"collection": false,
"description": "Last name"
},
"photo_url": {
"example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"collection": false,
"description": "The photo URL of the client"
},
"created_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was created."
},
"first_name": {
"example": "Gareth",
"collection": false,
"description": "First name"
},
"updated_at": {
"example": "2026-02-26T15:22:27+00:00",
"collection": false,
"description": "The timestamp of when the resource was updated."
},
"external_references": {
"example": "App\\Http\\Resources\\ExternalReferenceResource",
"collection": true,
"description": "The external references that have been added to the client."
}
},
"custom_fields": [
{
"name": "Favourite Drink",
"type": "string",
"uuid": "9a1f0cdd-258f-4e63-9e96-68a04d813b5c",
"value": "Coffee",
"help_text": "This is the client's favourite drink.",
"reference": "favourite_drink",
"created_at": "2026-02-26T15:22:27+00:00",
"updated_at": "2026-02-26T15:22:27+00:00",
"is_required": false,
"selection_options": [
"Coffee",
"Tea",
"Water"
]
}
],
"taskable_type": "case"
}